package com.example.pmulabs.room.repository

import androidx.paging.PagingData
import com.example.pmulabs.room.models.Tag
import kotlinx.coroutines.flow.Flow

interface TagRepository {
    suspend fun insertTag(tag: Tag)
    suspend fun updateTag(tag: Tag)
    suspend fun deleteTag(tag: Tag)
    fun getAllTags(): Flow<List<Tag>>
    fun getTagById(idTag: Int): Flow<Tag>
    fun getTagByName(nameTag: String): Flow<Tag>
    fun getTags(): Flow<PagingData<Tag>>
}